Servoy JasperReports Plugin - Defect #391

Scrolling in Jasper viewer
11/22/2011 04:59 PM - Harjo Kompagnie

Status: New Start date: 11/22/2011
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description

When the jasper-viewer pops-up and you scroll downwards or upwards, with the scroll button of your mouse, than this goes, REALLY
sloooooowwwwww.......

Can this be looked at? or can this be fixed?

History

#1 - 02/08/2014 07:49 PM - Andrei Costache

- Component version set to Any

Hi Harjo,

| know this is a late answer, but do you still experience slooow scrolling?

If yes, | am not sure we have much control, as we are using the Jasper viewer mainly; still, | think you can try setting a configuration property
net.sf.jasperreports.viewer.render.buffer.max.size as explained here: http://community.jaspersoft.com/questions/527605/jrviewer-very-slow-scroll
though this is more related to images | guess.

Also does the performance differ with respect to version 3.x versus 4.x of the plugin?

Regards,
Andrei

#2 - 02/10/2014 01:25 PM - Harjo Kompagnie
HI Andrei,

yes the slow scrolling is the same in versus 4.x of the plugin.
We indeed use background image, (letter logo A4).

If we remove this image, scrolling is fine & quick! :-)
How / where do | set this property??

#3 - 02/19/2014 08:53 AM - Andrei Costache
Harjo Kompagnie wrote:
HI Andrei,

yes the slow scrolling is the same in versus 4.x of the plugin.
We indeed use background image, (letter logo A4).

If we remove this image, scrolling is fine & quick! :-)
How / where do | set this property??
Hi Harjo,
I think you can just add it to your report, nested after the <jasperReport...> element, like this:

<jasperReports...>
<property name="net.sf.jasperreports.viewer.render.buffer.max.size" value="2M"/>

If that does not work, you can try using ireport, like described here:
http://community.jaspersoft.com/wiki/properties-how-use-additional-properties-build-enhanced-reports.

06/14/2025 1/3



http://community.jaspersoft.com/questions/527605/jrviewer-very-slow-scroll
http://community.jaspersoft.com/wiki/properties-how-use-additional-properties-build-enhanced-reports

Hope this helps. (sorry for the late reply, | have some problem with getting case updates from ServoyForge :) will fix it ).

Andrei

#4 - 02/22/2014 06:07 PM - Harjo Kompagnie

Me too, | don't receive notifications also,
will try it monday morning!

#5 - 02/25/2014 10:56 AM - Harjo Kompagnie
- File Schermafbeelding 2014-02-25_om_10.54.10.png added
- File Schermafbeelding 2014-02-25_om_10.54.23.png added

Hi Andrei,
i added the line by hand (see attach)

also the property is shown in ireport under the report properties.
But unfortunately it does not work!. Scrolling with the mouse (with an A4 image logo in the background) is terrible slow in the viewer.

#6 - 03/01/2014 08:43 PM - Andrei Costache
Harjo Kompagnie wrote:

Hi Andrei,

i added the line by hand (see attach)

also the property is shown in ireport under the report properties.
But unfortunately it does not work!. Scrolling with the mouse (with an A4 image logo in the background) is terrible slow in the viewer.

Hi Harjo,
Can you try to set the value of that property to something like: 10000000000 :).
Let me know if this works (better).

#7 - 03/04/2014 09:34 PM - Harjo Kompagnie
Hi Andrei,

this time | got a mail notification of your reply! so that's good! :-)
I'm just back from external work. Tommorow I'm back at the office and will try your suggestion, and will keep you updated!

#8 - 03/10/2014 09:03 AM - Harjo Kompagnie
HI Andrei, | just changed the line in my report to: <property name="net.sf.jasperreports.viewer.render.buffer.max.size" value="10000000000"/>

but no change, scrolling with an image background is still VERY slow. If | scroll once, it scrolls 15 * 1px to the bottom, and every 1px takes about a
second! so in total, 15 seconds.

#9 - 03/16/2014 12:16 AM - Andrei Costache

Harjo Kompagnie wrote:
HI Andrei, | just changed the line in my report to: <property name="net.sf.jasperreports.viewer.render.buffer.max.size" value="10000000000"/>
but no change, scrolling with an image background is still VERY slow. If | scroll once, it scrolls 15 * 1px to the bottom, and every 1px takes about
a second! so in total, 15 seconds.

Hi Harjo,

| am not sure what to say in this case; maybe when we go to a newer version of the jasperreports engine, this will be improved. Therefore, please
keep an eye on https://www.servoyforge.net/issues/780. It's in progress currently :-). When this is ready, we'll try a test with that.

Regards,
Andrei

#10 - 11/07/2014 09:07 PM - Harjo Kompagnie

did you already tested the slow scrolling (with image background) with the new version??
